# Get project status GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/status This endpoint returns information on the status the project, including activities, health, resources, and aggregated flag lifecycle data. Reference: https://docs.getunleash.io/api/get-project-status ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get project status version: endpoint_unstable.getProjectStatus paths: /api/admin/projects/{projectId}/status: get: operationId: get-project-status summary: Get project status description: >- This endpoint returns information on the status the project, including activities, health, resources, and aggregated flag lifecycle data. tags: - - subpackage_unstable parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: projectStatusSchema content: application/json: schema: $ref: '#/components/schemas/projectStatusSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: ProjectActivitySchemaItems: type: object properties: date: type: string description: Activity date count: type: integer description: Activity count required: - date - count projectActivitySchema: type: array items: $ref: '#/components/schemas/ProjectActivitySchemaItems' ProjectStatusSchemaHealth: type: object properties: current: type: integer description: >- The project's current health score, based on the ratio of healthy flags to stale and potentially stale flags. required: - current ProjectStatusSchemaTechnicalDebt: type: object properties: current: type: integer description: >- The project's current health score, based on the ratio of healthy flags to stale and potentially stale flags. required: - current ProjectStatusSchemaResources: type: object properties: apiTokens: type: integer description: The number of API tokens created specifically for this project. members: type: integer description: >- The number of users who have been granted roles in this project. Does not include users who have access via groups. segments: type: integer description: The number of segments that are scoped to this project. required: - apiTokens - members - segments ProjectStatusSchemaStaleFlags: type: object properties: total: type: integer description: >- The total number of flags in this project that are stale or potentially stale. required: - total ProjectStatusSchemaLifecycleSummaryInitial: type: object properties: averageDays: type: - number - 'null' format: double description: >- The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. currentFlags: type: integer description: The number of feature flags currently in a stage in this project. required: - averageDays - currentFlags ProjectStatusSchemaLifecycleSummaryPreLive: type: object properties: averageDays: type: - number - 'null' format: double description: >- The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. currentFlags: type: integer description: The number of feature flags currently in a stage in this project. required: - averageDays - currentFlags ProjectStatusSchemaLifecycleSummaryLive: type: object properties: averageDays: type: - number - 'null' format: double description: >- The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. currentFlags: type: integer description: The number of feature flags currently in a stage in this project. required: - averageDays - currentFlags ProjectStatusSchemaLifecycleSummaryCompleted: type: object properties: averageDays: type: - number - 'null' format: double description: >- The average number of days a feature flag remains in a stage in this project. Will be null if Unleash doesn't have any data for this stage yet. currentFlags: type: integer description: The number of feature flags currently in a stage in this project. required: - averageDays - currentFlags ProjectStatusSchemaLifecycleSummaryArchived: type: object properties: currentFlags: type: integer description: >- The number of archived feature flags in this project. If a flag is deleted permanently, it will no longer be counted as part of this statistic. last30Days: type: integer description: >- The number of flags in this project that have been changed over the last 30 days. required: - currentFlags - last30Days ProjectStatusSchemaLifecycleSummary: type: object properties: initial: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummaryInitial' description: Statistics on feature flags in a given stage in this project. preLive: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummaryPreLive' description: Statistics on feature flags in a given stage in this project. live: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummaryLive' description: Statistics on feature flags in a given stage in this project. completed: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummaryCompleted' description: Statistics on feature flags in a given stage in this project. archived: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummaryArchived' description: Information on archived flags in this project. required: - initial - preLive - live - completed - archived projectStatusSchema: type: object properties: activityCountByDate: $ref: '#/components/schemas/projectActivitySchema' description: >- Array of activity records with date and count, representing the project’s daily activity statistics. health: $ref: '#/components/schemas/ProjectStatusSchemaHealth' description: Information about the project's health rating technicalDebt: $ref: '#/components/schemas/ProjectStatusSchemaTechnicalDebt' description: Information about the project's health rating resources: $ref: '#/components/schemas/ProjectStatusSchemaResources' description: Key resources within the project staleFlags: $ref: '#/components/schemas/ProjectStatusSchemaStaleFlags' description: Information on stale and potentially stale flags in this project. lifecycleSummary: $ref: '#/components/schemas/ProjectStatusSchemaLifecycleSummary' description: Feature flag lifecycle statistics for this project. required: - activityCountByDate - health - technicalDebt - resources - staleFlags - lifecycleSummary ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/status" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/status'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/status" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/status") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/status', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/status"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```